# Open Source Games

[comment]: # (start of autogenerated content, do not edit)
406 entries
- **[Action/Arcade games](games/action/_toc.md)** (17)
- **[Adventure games & Visual novels](games/adventure/_toc.md)** (16)
- **[Game frameworks](games/framework/_toc.md)** (52)
- **[Popular required libraries](games/library/_toc.md)** (22)
- **[Role Playing Games](games/rpg/_toc.md)** (106)
- **[Simulation games](games/simulation/_toc.md)** (15)
- **[Strategy games](games/strategy/_toc.md)** (166)
- **[Tools & Manuals](games/misc/_toc.md)** (12)

[comment]: # (end of autogenerated content)
A collection of open source games sorted by genre. The projects are at least in beta stage with a code basis that builds
into an executable demo. The code must exist under a license that allows modification and sharing by others.
Related infos and tips geared toward building the games are collected here. Emphasis is on
support for Windows, Linux and Android.

Other open source games collections:

- [Open Source Clones of Popular Games](https://github.com/opengaming/osgameclones)
- [Popular games, add-ons, maps, etc. hosted on GitHub.](https://github.com/leereilly/games)
- [List of open-source video games](https://en.wikipedia.org/wiki/List_of_open-source_video_games) on Wikipedia

## Contributing

If you'd like to add something, please [create an Issue](https://github.com/Trilarion/opensourcegames/issues),
or fork this repository and submit a pull request.

Help: [MarkDown Help](https://help.github.com/articles/github-flavored-markdown), [Markdown Cheatsheet](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet)

See also the **[Statistics](games/statistics.md)** page.

## Background

I love open source projects and games and I currently learn about building systems. I see the following benefits of this database
and further actions I intend to do.

- General information about open source games
- Possibility of improving build instructions on the projects side (not all projects actually have build instructions)
- Simplifying builds
- Adding infrastructure for automatic testing and deploying where not already present
- Revival of abandoned games that do not build anymore
- Simplifying dependencies
- Increasing the number of supported platforms

I want to improve the process of building open source games, maybe even rescuing some lost projects.
I concentrate on the hardware/software platforms that I have access to.

## Disclaimer
 
 No warranty whatsoever of the information presented herein for any purpose. There could be errors in here.

## License

This documentation is licensed under the [WTFPL](LICENSE) license. This means you are free to do whatever you want with it.

